package com.sw.mes.yb.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.production.dto.SurplusInfoDto;
import com.sw.mes.yb.production.entity.SurplusInfo;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface SurplusInfoService extends BaseService<SurplusInfo> {
    SurplusInfo queryLimitInfoByDeviceNo(String deviceNo);

    SurplusInfo queryLimitInfoBySurplusCode(String surplusCode);

    SurplusInfo queryLimitInfoByLotNo(String lotNo);

    SurplusInfo saveData(SurplusInfoDto surplusInfoDto);

    SurplusInfo queryLimitInfoByWorkOrderNoAndSurplusType(String surplusCode, List<String> surplusTypes);

    SurplusInfo updateWeightBySurplusCode(BigDecimal originalWeight, BigDecimal weight, String recycleNo);
}
